What is new in Quick 'n Easy Web Builder 13?

Easy Breakpoints
- New feature: Many times, when you want to make a web layout responsive / mobile friendly, all you really want is to hide or show a specific object, change the font size or use a different margin.
In that case, adding a breakpoint is overkill and difficult to maintain. Introducing a simplified way to make specific objects responsive.
For most objects, you can now simplify this task by using the new 'Easy Breakpoint'. This is a single breakpoint where you can set some responsive properties just for that object.
- visibility, font-size, margin, padding or alignment. 
Note that this feature is mainly useful for flexible layouts.

Text-to-Website / Image-to-Website with AI
- New feature: Added the ability to create a new website via text-to-website or image-to-website.
The new Website AI feature allows you to create a fully structured website using only natural-language instructions, powered by third-party AI providers such as OpenAI, Google Gemini, or Ollama (local, free). Simply describe the layout, content, colors, components, or overall design style you want. You can even upload an optional reference image—such as a sketch, wireframe, or mood board—to guide the visual direction.

AI Layout
- New feature: A new AI Layout tool has been added, allowing you to generate AI-powered content directly inside an existing page.
This feature works similarly to Text-to-Website and Image-to-Website, but instead of creating an entirely new site, it inserts the generated layout into the current page.
To use it, open any page and select Insert -> AI Layout from the menu. The AI can create new sections, components, or layout blocks and seamlessly merge them into your existing design. This offers a fast and flexible way to expand your website with fresh content, such as hero areas, galleries, info sections, or forms.

Image Converter
- New feature: Added 'Image Converter' tool. The Image Converter is a new wizard that can be used to convert or compress images used by the project, but it can also be used for external images!
Convert to jpg, png or webp format, set the maximum image dimensions and / or use compression to shrink the size of the images. It is also possible to remove meta data.
When the tool is used for images used by the project, you can first preview the result before applying the new images to the project (automatically).

Mesh Gradients
- New feature: Added a new background type: Mesh Gradients. A mesh gradient is a soft, colorful background where several colors melt into each other—not just in a straight line or perfect circle, but organically across the whole area.
Looks modern and organic compared to plain linear or radial gradients. Great for hero sections, website backdrops or other backgrounds.
How it works: You drop color points on a canvas. Each point has a color, size/strength, and opacity. Move the points around and the blend changes—colors pull toward their points like soft lights.
There are 25 predefined mesh gradients, but you can also create your own variant with the new Mesh gradient editor.

Glassmorphism
- New feature: Added Glassmorphism options. An easy way to add Glass Effects to objects. Although it was already possible to create this effect, previously you had to adjust the settings in different parts of the properties. Now the properties that control the glass effect are grouped in one place. Glassmorphism options control: background color, transparency, outline and backdrop blur.

Filters
- New feature: Added filter and backdrop-filter properties. These properties were previously tucked away under the transition settings, making them harder to access. They are now also available as standalone, easily adjustable settings for more direct control.
- New feature: Added 'Opacity' properties to Filter menu. This is a quick way to set the opacity / transparency of the selected object.

Box Shadow
- New feature: Added 2 new box shadow types: Gradient and Multi-color Gradients. Add more color to your layout with fancy gradient shadows. Gradient shadows can also be animated: rotate, pulse, flash, heartbeat and vanish.
Note that some HTML elements do not support this.  For example: Inline frames, and objects with a scrollbar because in that case the content is clipped so the shadow cannot be rendered outside the container.
- New feature: Added 'spread' option to box shadow properties. This option specifies how much the shadow expands or contracts. This can also be useful to add an extra border around an object.
- New feature: Added 'Box Shadow' option to Filter menu. This is a quick way to set the box shadow of the selected object.
- New feature: Added support for box shadow to File Input, Radio Button, Checkbox, Login/Signup/Change Password/Password Recovery, Rollover Image, Rollover text, Date Picker (inline), RichTextArea, Accordion, Tabs, Breadcrumb, Dropdown Menu, Go Menu, Navigation Bar, Pagination, Responsive menu, Site Tree, Table of Contents , Slide Menu, PayPal buttons, CMS label, CMS view

Creative blending effects with mix-blend-mode
- New feature: Added support for mix-blend-mode. You can now choose how objects visually blend with their background. This makes it easy to create striking effects such as Multiply, Overlay, Difference, or Exclusion — giving your designs a more polished, professional look with just a few clicks. For example, you can use mix-blend-mode to create cutout/knockout text.
- New feature: Added 'mix-blend-mode' support to transitions and animations. This can be useful, for example to change the mix-blend-mode on hover.

Rive Animations
- New feature: Added a new “Rive Animations” object that lets you easily integrate real-time, interactive Rive animations into your projects.
Use it for UI elements, in-game character reactions, interactive buttons, or complex app transitions.
Rive is similar to Lottie in purpose but different in power — while Lottie plays pre-rendered motion graphics, Rive runs a real-time animation engine that supports dynamic interaction and state-driven animation logic.
Animations can be triggered on page load, hover, click, scroll, or through events.

Image
- New feature: Added 'blend mode' to Image Watermark. This controls how the text visually blends with the image. This may be useful, for example to create cutout/knockout text or other special effects.
blend mode: multiply, text white, background black (cut out text)
blend mode: difference, text white, background black (cut out text, black background)
blend mode: difference, text black, background white (cut out text, inverted background)
blend mode: screen, text black, background white (cut out text, white background)
- New feature: Added stroke colors and width to Image Watermark
- New feature: Added more font sizes to Image Watermark
- New feature: You can now drag and drop an image from system's File Explorer on an Image in the workspace to quickly replace it.

CSS Lightbox
- New feature: Added a new Responsive, pure CSS (no JavaScript) and minimal lightbox. This feature is available for Image, Picture, Photo Collage, Photo Gallery and Photo Grid and it can be set via link target '_lightbox'.

Photo Gallery
- New feature: Added 'Justified' thumbnail mode. Thumbnails are automatically arranged in rows of equal height, adjusting their widths to create a clean, balanced gallery layout.
- New feature: Drag and drop images directly onto a Photo Gallery from the system's File Explorer on the workspace to add new images.

Photo Grid:
- New feature: Added 6 new special layouts: Die Cut, Pizza, Pie, Grid Circle, Grid Diamond, Grid Rect. More creative ways to display images.

Slide Show
- New feature: Added ‘Scroll Marquee’ slideshow type. The Scroll Marquee creates a horizontal, continuously moving row of images that moves in response to page scrolling instead of playing on a timer. As the user scrolls down the page, the marquee slides left or right, creating a smooth parallax-style effect.
- New feature: You can now drag and drop an images from system's File Explorer directly on a Slideshow on the workspace to add images

Visibility
- New feature: A powerful utility for monitoring an element’s position within the viewport.
The Visibility object provides a set of events that make it easy to trigger actions based on how an element enters or leaves the visible area of the screen. For example:
onOnScreen – Triggered when any part of the element is within the current scroll viewport.
onOffScreen – Triggered when no part of the element is visible in the viewport.
onTopVisible – Triggered when the top edge of the element passes the bottom edge of the viewport.
onBottomVisible – Triggered when the bottom edge of the element passes the bottom edge of the viewport.
(and more...)
These events can be used to build interactive experiences, such as showing or hiding elements, starting or stopping media playback, or applying dynamic style changes.
Additionally, the Visibility object includes an option to fix an element’s position so it remains visible in the viewport when it is about to scroll out of view. You can also apply custom CSS to define how the element should appear in its fixed state — for example, repositioning it or applying alternative styles.

Flex Grid Management Tools
- New feature: When you select a Flex Grid, the Edit menu will now display a dedicated option to quickly modify properties of the Flex Grid, like arrange tools (move up, move down, move to top, move to bottom)
- New feature: Added to quickly set the background, alignment and padding of the selected Flex Grid Item via the Edit Menu. These options are also available via the context menu.

Flex Grid
- New feature: Added support for border radius.
- New feature: Added support for box shadow.
- New feature: With Easy Breakpoints you can now stack the grid items on smaller (mobile) screens without the need to add a page breakpoint.

Flex Grid / Flex Container / Card Container
- New feature: Added the ability to limit the background, border and shadow by using a negative maximum width (for example: -1024). Note: this was already possible with the Layout grid.
- New feature: With Easy Breakpoints you can now stack the flex items on smaller (mobile) screens without the need to add a page breakpoint.

Layout Grid
- New feature: Added layout grid tools to context menu (right click)

Dialog
- New feature: Added the ability to set the color and transparency of the overlay background. Previously this was fixed to black / 50%.

Cards
- New feature: Added dedicated Card Tools in the main menu -> Edit -> Card. Here you can quickly access properties of the card or individual card items.
There are also shortcuts to add new card items, edit, delete or move items up and down. If the card is part of a Card Repeater then all edits are applied to all card at once.
Note: The new shortcuts are also available in the classic menu under  "Edit -> Card'
- New feature: Added Copy Style / Paste Style options to card properties to easily copy style properties between card items. The styles can also be copied to and from standard objects.
- New feature: Added Margin and Padding shortcuts for Card items, so you can directly jump to these properties without having to open the item properties.
- New feature: You can now drag and drop an images from Windows File Explorer on a card to quickly add the image to the card.
- New feature: Added support for background overlays, useful to ‘dim’ the background image.

Overpaste Links
- New feature: Added support for overpaste links, making it faster and easier to create clickable links without opening the Link dialog.
With this feature, you can turn selected text, images, shapes, and other linkable objects into links simply by pasting a URL over them. Instead of replacing the selected content, the pasted link is applied to it.
Note: If nothing is selected, pasting a link behaves as before: the URL is inserted as plain text.

Navigation
- New feature: Added support for images to navigation widgets. You can now use custom images—alongside icons—for menu items in navigation widgets. This gives you more flexibility to create visually rich and colorful pages that better reflect your brand or design style.

Dropdown Menu, Breadcrumb, Overlay Menu
- New feature: Added 'Icon offset' property. This controls the spacing between the icon and text of a menu item.

Tab Menu
- New feature: Added the ability to add icons or images to tab items.

Layer Menu
The Layer Menu has many improvements to make it even more powerful for building custom mega menus.
- New feature: You can now add floating and flexible content to layers of the menu, with support for padding and alignment options.
Additionally, you can place a layout grid on layers—making it easy to create clean, multi-column designs.
- New feature: Added the new option to make the layer menu responsive. The new 'breakpoint' property controls how the menu will be displayed on mobile devices: Stacked, Panel or Overlay.
- New feature: Added the ability to add icons or custom images to menu items. With icon libraries and icon offset options.
- New feature: Added the ability to set the vertical spacing between the button and drop-down layer.
- New feature: Added 'Animation duration' and 'Animation easing' properties to give you more control over the animation.
- New feature: You can now control how the menu is positioned inside its container. The new “Menu Alignment” setting lets you choose from: Left, Center, Right and Justify where menu items stretch out so that, together, they evenly fill the entire width of the container.
- Improved: Removed jQuery dependency from generated scripts; output is now pure vanilla JavaScript.

Dropdown Menu, Layer Menu, Overlay Menu
- New feature: Added the ability to change the style of the drop down arrow. You can now select from more than 25 different arrow types!
- New feature: Added the ability to change the size of the drop down arrow.

Overlay Menu
- New feature: Added 'arrow offset' property to set the offset from edge.

Inline Menu
- New feature: The Overlay Menu’s Inline mode now has its own dedicated icon in the Toolbox and Insert menu. You can find it under “Inline Menu”, making this feature easier to discover and use — especially since it was often overlooked before.

CSS Menu
- New feature: Added support for icons and images to the CSS menu

Navigation bar
- New feature: Added “responsive” button mode. The menu now adapts automatically: it displays horizontally on desktop and switches to a vertical list on mobile, using the breakpoint you set.
In responsive mode, the menu is rendered as a single image instead of individual button images. This reduces page load size and produces cleaner markup.
Also, in that case all transitions are now powered by CSS, with no JavaScript required.
- New feature: Added 'full width' property. The menu can now stretch to fill the full width of its container. Buttons automatically resize to fit evenly across the available space.

Tabs
- New feature: Added transition properties for tab items. Customize transition duration and easing for graceful, natural transitions.
- New feature: Added responsive mode. Tabs now automatically switch to a stacked (vertical) layout on smaller screens for improved mobile usability. A new breakpoint property controls the screen width at which tabs change from horizontal to vertical. 

Accordion
- New feature: Added transition properties for accordion header items. Customize transition duration and easing for graceful, natural transitions.
- New feature: When spacing is applied between accordion header items, the box shadow is now rendered on each individual panel instead of the entire accordion container. 

Mouse Panning
- New feature: Added support for mouse panning. Hold the Spacebar and drag with the mouse to pan around the workspace.

Copy/paste
You can now directly copy/paste text on the workspace. This automatically creates a new text object.

Mobile View
- New feature: Added a 'Mobile view' button to the Ribbon / Menu. This is a simple toggle between desktop and mobile view. Basically, this simply adjusts the page width in the workspace to a user definable mobile width, so you can quickly see what the layout looks like on a smaller screen without having to change the page width (and later have to restore it manually)

CMS
- New feature: Added support for content scheduling. You can now set optional start and end dates/times for each article or page. This allows you to automatically publish content at a future date and unpublish it when it expires, without manual intervention.

Events
- New feature: Added clipboard event actions: Copy Text and Paste Text. This can be used to copy/paste text to/from text and form input elements.

Icon Button
- Renamed: 'Themeable Button' is now called 'Icon Button' to better reflect its purpose and functionality.

Input Group
- New feature: Added 'Input Group' object. This is an input/edit box that supports placing a text label, icon, or button on either side (or both sides) of the field.
This is useful for: Adding contextual labels such as $, https://, or kg. Displaying icons for visual cues. Adding buttons that can act as links or trigger actions (e.g., copy/paste).

Input
- Renamed: The object previously called 'Editbox' is now 'Input'. This aligns with the official HTML element name, improving consistency with other tools and standard documentation.

Select Multi
- New feature: Added 'Select Multi' object. A searchable multi-select combobox with removable labels (“chips”), keyboard support, and an optional clear action.
Choose multiple values from a searchable dropdown. Selected items appear as removable labels. Supports keyboard navigation (↑/↓, Enter), Esc to close, and Tab to commit/close. Optional features include a clear button, max selection limits, “hide selected” in the menu and user additions.

Select
- Improved: The dropdown arrow style is now standardized across browsers, aligning with the default appearance in Bootstrap 5.x. This improvement also ensures better alignment and behavior when used together with Bootstrap validation icons.
- Improved: When the "Allow multiple selections' option is enabled, an info tip is now displayed to remind the user to append [] to the field’s name so all selected values are submitted correctly.

Form Validation
- New feature: Added new validation mode called “Bootstrap Tooltips”. Instead of displaying standard inline Bootstrap validation messages, this mode shows tooltips positioned beneath the input fields. These tooltips are absolutely positioned, ensuring they don’t disrupt or shift the surrounding layout.
- New feature: Added the ability to configure the style of Bootstrap validation like font-size, colors, offset. Previously this style could not be changed.
- Improved: The Bootstrap validation has been updated to the latest version with updated icons. Also, unlike previous versions it can now be used in combination with different background modes (image, gradients, etc.).

Badge
- New feature: Added new Badge type 'Tag'. A price-tag–style badge for highlighting prices, categories, or statuses.
- New feature: Added new Badge type 'Tooltip'. a tooltip-style badge with an arrow and border for clear, inline callouts.

Icon
- New feature: Added a “Drop Shadow” option (in addition to the existing box shadow). Unlike box shadow, which applies a shadow to the icon’s container, drop shadow applies it directly to the icon and follows its exact shape, creating a more natural shadow effect.

Style Manager
- New feature: Added 'Apply to all breakpoints' option. When you choose this option all values of the current style will be applied to all breakpoints of the style.
- New feature: Added 'Custom CSS' option to Link Styles. This adds the ability to add custom CSS to link styles. You can add different CSS for each state: default, active, visited and hover.

Margin / Padding
- New feature: You can now keep the Margin and Padding panels open all the time. This lets you adjust margins and padding quickly without reopening the dialog each time. The panels can either float freely or be docked to any side of your screen for easy access.
- New feature: A new “Apply to all breakpoints” option has been added. When this option is turned on, any margin or padding changes you make will be applied to all breakpoints. When it’s turned off, the changes will only affect the current breakpoint.

Animated Headline
- New feature: Added new text animations: Flip Horizontal, Zoom In Left, Zoom In Top, Zoom In Right, Zoom In Bottom, Rainbow, Swoop, Hinge
- New feature: Added an option to animate complete words in addition to single letters. Word animations work great for headlines, taglines, and phrases where you want each word to appear or move together.
- New feature: Added 'Delay' property to Animate Letters/Words. This specifies the pause between animation cycles.

Publish
- New feature: Added 'Publish only specific files' option to publish window. This option can be used to publish only specific file types, like images, video, zip files etc. You can select one or more file types via the 'Filter' button.
- New feature: Added new option to publish window "Publish all files except sitemap.xml/robots.txt". This allows you to publish all files with the exception of sitemap.xml/robots.txt
- Improved: Added a tip in Publish Settings explaining that users can create different publish locations per project.
- Improved: In Publish Location settings, renamed ‘Description’ to ‘Name’. 

AI 
- New feature: Added support for LM Studio.  LM Studio (https://lmstudio.ai/) is a popular desktop application that enables the local installation and use of large language models on laptops and desktop computers. By running models entirely on your own machine, LM Studio offers private, offline, and secure access to AI capabilities without relying on cloud services.

LM Studio is comparable to Ollama, which has already been supported by WYSIWYG Web Builder for some time. However, many users may find LM Studio easier to install, configure, and manage, thanks to its user-friendly interface and streamlined model handling.

The application supports a wide range of modern large language models, including DeepSeek, Llama, Qwen, Gemma, and gpt-oss (OpenAI’s open-weight model). 

- New feature: A new Timeout option has been added to give you more control over AI-related network communication (including OpenAI, Google AI Studio, Ollama, and ComfyUI).
In some environments, the default network timeout may be too short, which can lead to premature timeout errors—especially when processing large requests, generating complex outputs, or working with slower or unstable network connections. This new option allows you to increase the timeout duration to better match your setup and workloads.

- New feature: Added support for Flux.2 [klein] and the Qwen Image models (2511 and 2512 Edit variants) for use with ComfyUI. These models are designed to deliver very high image quality while maintaining relatively fast generation speeds, making them well-suited for both iterative workflows and production use.

- New feature: Added support for Nano Banana 2 (gemini-3.1-flash-image-preview) and the latest models from OpenAI: gpt-image-1-mini and gpt-image-1.5

Shopping Cart
- New feature: Added a Currencies option that enables a currency selection menu for the shopping cart. Customers can choose from multiple currencies when viewing prices and completing checkout.
In the configuration, you can define the available currencies and specify their conversion rates.
- New feature: Added styling options for the discount button and input fields (coupon and quantity). You can now customize the background color, text color, border, and padding to better match your design. Previously the cart used the default browser style.

Other
- 'Auto Complete' and 'Spinner' objects have been moved to the Form category in menus and toolbox.

HTML object
- New feature: You can now choose to exclude comments from custom HTML. Previously, comments were always included in the generated HTML. With this new option, you can disable comment inclusion — comments will remain visible in the workspace, but they will no longer appear in the final HTML output. Tools -> Options -> HTML
- New feature: Added a new overflow type, expand. When selected, the <div> height is set to ‘auto’, allowing the element to dynamically adjust its height so all content is displayed correctly without clipping.

Icons
- New feature: Upgraded Font Awesome to version 7.2 with more than 80 new icons:
alarm-clock,alarm-clock-o,bus-side,cash-app,chart-diagram,comment-nodes,css,dart-lang,disqus,duolingo,eleventy,file-fragment,file-half-dashed,files-pinwheel,flutter,hexagon,hexagon-nodes,hexagon-nodes-bolt,
kakao-talk,linktree,lumon,lumon-drop,mobile-vibrate,non-binary,notion,octagon,openai,pandora,pentagon,pixelfed,septagon,single-quote-left,single-quote-right,spiral,square-binary,square-bluesky,square-figma,
square-linkedin,tex,tidal,thumbtack-slash,vsco,w3c, forgejo, gitee, kubernetes, postgresql, scaleway, solana, svelte, tailwind-css, vim, xmpp, typescript, board-game-geek, circle-zulip, fediverse, globaleaks, hugging-face, ko-fi, OpenStreetMap, threema, zoom, zulip, claude, Julia, leetcode, obsidian, square-deskpro, ultralytics, ultralytics-yolo, unison, unreal-engine, venmo, venmo-v, aries, taurus, gemini, cancer, leo, virgo, libra, scorpio, sagittarius, capricorn, aquarius, pisces, arrow-rotate-left, arrow-rotate-right	
Also, Font Awesome 7 has optimized CSS, and smaller font files.

File Publisher
- New feature: You can now paste file or folder paths directly into the file list. This is useful when a path is already on the clipboard, eliminating the need to browse to the file or folder. Keyboard shortcut: Ctrl+V
- New feature: Added the ability to drag & drop files and folders from Windows File Manager to the file list.
- New feature: Added context menu (right click) to the file list for quicker access to the available options.

jQuery 4
- New feature: Added support for jQuery 4. jQuery 4.0.0 introduces a wide range of improvements and modernizations, marking the first major release in nearly a decade. Since this version has only just been released, it is not enabled by default yet. However, support is now available so you can begin upgrading your pages and preparing for the latest enhancements when you’re ready.

Transitions
- Added 'text-decoration' to transitions and animation keyframes

Categories
Added new categories for website wizard and smart content: Agency, Architecture, Bar and Pub, Bed and Breakfast, Birds, Cats, Christmas, Cleaning, Corporate, Dentist, Developer, Dogs, Fish and Aquariums, Gallery, Halloween, Industrial, Investment, Moving Company, News and Magazine, Online Community, Online Radio Station, Pharmacy, Realtor, Rental, Repair, Reptiles, Thanksgiving, Web Design.

Site Variables
- New feature: Added the ability to insert site variables via the context menu. So, you can quickly insert pre-defined or user-defined variables.
- New feature: Added new Site Variables: 
$PAGE_DATE_MODIFIED$, inserts date of the last update.
$PAGE_DATE_PUBLISHED$, inserts publish date
$DATE_YEAR$, $DATE_MONTH$, $DATE_DAY$, insert year, month, and day as numbers
$DATE_TIME$, inserts publish time HH:MM:SS
The default format for modified and publish dates is YYYY-MM-DD , but this can be changed via site variable $DATE_FORMAT$

For example: 
%Y-%m-%d, 1999-03-28
%A, %B %d, %Y results Friday, March 19, 1999

Privacy and Cookies
This release also introduces an example project showcasing a customizable cookie consent popup with multiple consent categories, user controls, and script blocking based on user preferences. The demo illustrates how third-party scripts can be conditionally loaded only after the appropriate consent has been given.

Examples
Added 18 new example projects to Help -> Examples.
Box shadow, CSS Filters, CSS Lightbox, CSS Menu - Accordion, Easy Breakpoints, Events - Clipboard, Glass Morphism, Input Group, Layer Menu - Flexible, Mesh Gradients,
Mix Blend - Marquee, Navigation Bar – Responsive, Privacy and Cookies, Select Multi, Site Variables, Slideshow - Scroll Marquee, Visibility - Events, Visibility - Sticky

Templates
Added 25 fresh templates, designed to ignite your creativity, and showcase some of the new features in action.
All new templates use Easy Breakpoints